export class Network {
  constructor() {
    this.nodes = new Map();
  }

  addNode(node) {
    this.nodes.set(node.keyPair.publicKey, node);
    return this;
  }

  listNodes() {
    return Array.from(this.nodes.values());
  }
}
